GlideListV3 (g_list) - Client (deprecated)

  • Rversion finale: Australia
  • Mis à jour 12 mars 2026
  • 7 minutes de lecture
  • The GlideListV3 API provides methods to manipulate lists.

    You access the GlideListV3 methods by using the g_list global object. These methods are used in UI context menus and UI actions. The g_list object is not available for related lists on the form link UI action.

    Remarque :

    This API is no longer supported. Consider using the GlideList2() API instead.

    GlideListV3 - addFilter(String filter)

    Adds a single term to the list query filter.

    Tableau 1. Parameters
    Name Type Description
    filter String Query string condition to add.
    Tableau 2. Returns
    Type Description
    void

    GlideListV3 - get(String listId)

    Returns the GlideList object for specified list.

    Tableau 3. Parameters
    Name Type Description
    listId String The list name.
    Tableau 4. Returns
    Type Description
    Object The GlideList object for the specified list, or null if not found.

    GlideListV3 - get(Object DomElement)

    Returns the GlideList object for the specified DOM element.

    Tableau 5. Parameters
    Name Type Description
    DomElement Object The DOM element ID for which you want the GlideList object.
    Tableau 6. Returns
    Type Description
    Object The GlideList object for the specified DOM element. Returns null if the DOM element is not found.

    GlideListV3 - getChecked()

    Returns a comma-separated list of sys_ids for checked items in the list. Does not return items that are not allowed to be executed.

    Tableau 7. Parameters
    Name Type Description
    None
    Tableau 8. Returns
    Type Description
    String Comma-separated list of the sys_ids for checked items in the list. Does not return items that are not allowed to be executed.

    GlideListV3 - getFixedQuery()

    Returns the sysparm_fixed query.

    The fixed query is the part of the query that cannot be removed from the breadcrumb (i.e., it is fixed for the user). It is specified by including a sysparm_fixed_query parameter for the application module.

    Tableau 9. Parameters
    Name Type Description
    None
    Tableau 10. Returns
    Type Description
    String The fixed query string for the list.

    GlideListV3 - getFormTarget()

    Returns the form's target attribute.

    Tableau 11. Parameters
    Name Type Description
    None
    Tableau 12. Returns
    Type Description
    String The form's target attribute.

    GlideListV3 - getGroupBy()

    Returns the field or comma-separated list of fields that are used to group the list.

    Tableau 13. Parameters
    Name Type Description
    None
    Tableau 14. Returns
    Type Description
    String The field or comma-separated list of fields used to group the list.

    GlideListV3 - getListName()

    Returns the name of the list, which is usually the table name.

    Tableau 15. Parameters
    Name Type Description
    None
    Tableau 16. Returns
    Type Description
    String The list name.

    GlideListV3 - getOrderBy()

    Returns the first field used to order the list.

    Tableau 17. Parameters
    Name Type Description
    None
    Tableau 18. Returns
    Type Description
    String The field used to order the list, or an empty string if the list is not sorted.

    GlideListV3 - getParentTable()

    Returns the name of the parent table (the table associated with the form).

    Tableau 19. Parameters
    Name Type Description
    None
    Tableau 20. Returns
    Type Description
    String The parent table name.

    GlideListV3 - getQuery(Object options)

    Returns the encoded query string for the list.

    Tableau 21. Parameters
    Name Type Description
    options Object The options can be one or more of the following.
    • orderby - include ORDERBY in the query
    • groupby - include GROUPBY in the query
    • fixed - include sysparm_fixed_query in the query
    • all - include all the options in the query
    Tableau 22. Returns
    Type Description
    String Encoded query string for the list.

    GlideListV3 - getReferringUrl()

    Returns the referring URL.

    Tableau 23. Parameters
    Name Type Description
    None
    Tableau 24. Returns
    Type Description
    String Returns the parent form's URL, or '*' if there is no parent form.

    GlideListV3 - getRelated()

    Returns the related list field that associates the related list to the parent form.

    Tableau 25. Parameters
    Name Type Description
    None
    Tableau 26. Returns
    Type Description
    String Field that connects the list to the parent form.

    GlideListV3 - getRelatedListType()

    Returns the related list type.

    Tableau 27. Parameters
    Name Type Description
    None
    Tableau 28. Returns
    Type Description
    String The relationship table type.

    GlideListV3 - getRelationshipId()

    Returns the relationship record id, if this is type REL related list.

    Tableau 29. Parameters
    Name Type Description
    None
    Tableau 30. Returns
    Type Description
    String The sys_id of the relationship record.

    GlideListV3 - getRowCount()

    Returns the number of rows returned by the query.

    Tableau 31. Parameters
    Name Type Description
    None
    Tableau 32. Returns
    Type Description
    Number The number of rows returned by the query.

    GlideListV3 - getRowsPerPage()

    Returns the number of rows to be displayed on a page.

    Tableau 33. Parameters
    Name Type Description
    None
    Tableau 34. Returns
    Type Description
    Number The number of rows to be displayed on a page.

    GlideListV3 - getTableName()

    Returns the table name of the list.

    Tableau 35. Parameters
    Name Type Description
    None
    Tableau 36. Returns
    Type Description
    String The list's table name.

    GlideListV3 - getTitle()

    Returns the list title.

    Tableau 37. Parameters
    Name Type Description
    None
    Tableau 38. Returns
    Type Description
    String The list title.

    GlideListV3 - getView()

    Returns the view used to display the list.

    Tableau 39. Parameters
    Name Type Description
    None
    Tableau 40. Returns
    Type Description
    String The name of the view

    GlideListV3 - isUserList()

    Returns true if the list has been personalized by the user.

    Tableau 41. Parameters
    Name Type Description
    None
    Tableau 42. Returns
    Type Description
    Boolean True if the list layout has changed.

    GlideListV3 - refresh(Number firstRow, Object additionalParams)

    Refreshes the list. The orderBy part of the list filter is ignored so that the list's natural ordering is used.

    Tableau 43. Parameters
    Name Type Description
    firstRow Number (Optional) The first row to display in the list. If not specified, the list's current first row is used.
    additionalParams Object (Optional) Name- value pairs that are submitted with the list refresh request.
    Tableau 44. Returns
    Type Description
    void

    GlideListV3 - refreshWithOrderBy(Number firstRow, Object additionalParams)

    Refreshes the list using the orderBy fields.

    Tableau 45. Parameters
    Name Type Description
    firstRow Number (Optional) The first row to display in the list. If not specified, the list's current first row is used.
    additionalParams Object (Optional) Name- value pairs that are submitted with the list refresh request.
    Tableau 46. Returns
    Type Description
    void

    GlideListV3 - setFilter(String filter, Boolean saveOrderBy, Boolean saveGroupBy)

    Sets the encoded query string for the list ignoring the orderBy and groupBy parts of the query string.

    Tableau 47. Parameters
    Name Type Description
    filter String An encoded query string.
    saveOrderBy Boolean The default is false. When true uses the orderBy part of the query.
    saveGroupBy Boolean The default is false. When true uses the groupBy part of the query.
    Tableau 48. Returns
    Type Description
    void

    GlideListV3 - setFilterAndRefresh( String filter)

    Sets the encoded query string for the list, and then refreshes the list using the new filter.

    This preserves the groupby and orderby parameters.

    Tableau 49. Parameters
    Name Type Description
    filter String Encoded query string.
    Tableau 50. Returns
    Type Description
    void

    GlideListV3 - setFirstRow(Number firstRow)

    Sets the first row to be displayed when the list is refreshed.

    Tableau 51. Parameters
    Name Type Description
    firstRow Number The row number in the list.
    Tableau 52. Returns
    Type Description
    void

    GlideListV3 - setFormTarget(String target)

    Specifies where to display the response from the form.

    Tableau 53. Parameters
    Name Type Description
    target String The form.target attribute value to use.
    Tableau 54. Returns
    Type Description
    void

    GlideListV3 - setGroupBy(String groupBy)

    Sets the groupBy criteria for the list, for a single field or multiple fields.

    For a single field, use field or groupByField. The groupBy prefix is optional. For multiple fields use field1^field2^field3 or groupByField1^groupByField2^groupByField3.

    Tableau 55. Parameters
    Name Type Description
    String groupBy The group by criteria for the list.
    Tableau 56. Returns
    Type Description
    void

    GlideListV3 - setOrderBy(String orderBy)

    Sets the orderBy criteria for the list.

    For a single order by field use orderBy field or orderByDescField. For multiple fields, use orderByField1^orderByField2^orderByField3. orderBy specifies ascending order and orderByDesc specifies descending. These prefix strings are optional. If not specified orderBy is assumed.

    Tableau 57. Parameters
    Name Type Description
    orderBy String Single or multiple order by fields.
    Tableau 58. Returns
    Type Description
    void

    GlideListV3 - setReferringUrl(String url)

    Sets the parent form referring url.

    Tableau 59. Parameters
    Name Type Description
    url String The parent form's URL
    Tableau 60. Returns
    Type Description
    void

    GlideListV3 - setRowsPerPage(Number numRows)

    Set the number of rows to display on a page.

    Tableau 61. Parameters
    Name Type Description
    numRows Number The number of rows to display on a page.
    Tableau 62. Returns
    Type Description
    void

    GlideListV3 - showHideGroups(Boolean showFlag)

    Displays or hides all of the groups within the list and saves the current collapsed/expanded state of the groups as a user preference.

    Tableau 63. Parameters
    Name Type Description
    showFlag Boolean When true, displays the groups within the list.
    Tableau 64. Returns
    Type Description
    void

    GlideListV3 - showHideList(Boolean showFlag)

    Displays or hides the list and saves the current collapsed/expanded state of the list as a user preference.

    Tableau 65. Parameters
    Name Type Description
    showFlag Boolean When true, displays the list.
    Tableau 66. Returns
    Type Description
    void

    GlideListV3 - sort(String field)

    Sort the list in ascending order.

    Tableau 67. Parameters
    Name Type Description
    field String The field to be used to sort the list.
    Tableau 68. Returns
    Type Description
    void

    GlideListV3 - sortDescending(String field)

    Sorts the list in descending order.

    Tableau 69. Parameters
    Name Type Description
    field String The field used to sort the list.
    Tableau 70. Returns
    Type Description
    void

    GlideListV3 - toggleList()

    Toggles the list display between collapsed and expanded, and saves the state as a user preference.

    Tableau 71. Parameters
    Name Type Description
    None
    Tableau 72. Returns
    Type Description
    void

    GlideListV3 - toggleListNoPref()

    Toggles the list display between collapsed and expanded, but does not save the state as a user preference.

    Tableau 73. Parameters
    Name Type Description
    None
    Tableau 74. Returns
    Type Description
    void